#Module-Specific definitions
%define mod_name mod_smtpd_rbl
%define mod_conf A40_%{mod_name}.conf
%define mod_so %{mod_name}.so

%define snap r239351

Summary:	Mod_smtpd_rbl brings "RBL" (DNSBL/RHSBL) support to mod_smtpd
Name:		apache-%{mod_name}
Version:	0
Release:	%mkrel 1.%{snap}.8
Group:		System/Servers
License:	Apache License
URL:		https://svn.apache.org/repos/asf/httpd/mod_smtpd/trunk/mod_smtpd_rbl/
Source0: 	%{mod_name}-%{version}-%{snap}.tar.bz2
Source1:	%{mod_conf}.bz2
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.0.55
Requires(pre):	apache >= 2.0.55
Requires:	apache-conf >= 2.0.55
Requires:	apache >= 2.0.55
Requires:	apache-mod_smtpd
Requires:	apache-mod_dnsbl_lookup
BuildRequires:	apache-devel >= 2.0.55
BuildRequires:	apache-mod_smtpd-devel
BuildRequires:	apache-mod_dnsbl_lookup-devel
BuildRequires:	file
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
mod_smtpd_rbl brings "RBL" (DNSBL/RHSBL) support to mod_smtpd.

%prep

%setup -q -n %{mod_name}

rm -f dnsbl_lookup.h mod_smtpd.h

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

%{_sbindir}/apxs -c mod_smtpd_rbl.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

install -d %{buildroot}%{_var}/www/html/addon-modules
ln -s ../../../..%{_docdir}/%{name}-%{version} %{buildroot}%{_var}/www/html/addon-modules/%{name}-%{version}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}
%{_var}/www/html/addon-modules/*




%changelog
* Sat Aug 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0-1.r239351.8mdv2010.0
+ Revision: 406651
- rebuild

* Wed Jan 07 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0-1.r239351.7mdv2009.1
+ Revision: 326503
- rebuild

* Tue Jan 06 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0-1.r239351.6mdv2009.1
+ Revision: 326257
- rebuild

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0-1.r239351.5mdv2009.0
+ Revision: 235103
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0-1.r239351.4mdv2009.0
+ Revision: 215639
- fix rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1:0-1.r239351.3mdv2008.1
+ Revision: 135823
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0-1.r239351.3mdv2008.0
+ Revision: 82675
- rebuild


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0-1.r239351.2mdv2007.1
+ Revision: 140756
- rebuild

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0-1.r239351.1mdv2007.0
+ Revision: 79513
- Import apache-mod_smtpd_rbl

* Mon Aug 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0-1.r239351.1mdv2007.0
- rebuild

* Mon Nov 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0-0.r239351.1mdk
- fix versioning

* Wed Aug 24 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_0-0.r239351.1mdk
- initial Mandriva package

